Bug 31559 - Staff results page doesn't always use up full available screen width
Summary: Staff results page doesn't always use up full available screen width
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-09-14 07:48 UTC by Katrin Fischer
Modified: 2022-12-05 16:18 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.08


Attachments
Bug 31559: Staff results page doesn't always use up full available screen width (1.31 KB, patch)
2022-09-26 14:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 31559: Staff results page doesn't always use up full available screen width (1.36 KB, patch)
2022-09-26 21:14 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 31559: Staff results page doesn't always use up full available screen width (1.42 KB, patch)
2022-10-01 19:23 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2022-09-14 07:48:41 UTC
If the titles of the records are quite short, the entries of the result page will "shrink" not using the full available width of the page.

For an example with the sample data: search for 'Henry'.
Comment 1 Owen Leonard 2022-09-26 14:16:16 UTC
Created attachment 140985 [details] [review]
Bug 31559: Staff results page doesn't always use up full available screen width

This patch adds an explicit "width: 100%" to tables which are contained
within a #searchresults <div>. The change affects staff interface
catalog search results and these other pages with the same markup:

- Advanced MARC editor search results
- Holds to pull
- Patron search results

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client)

- Test the catalog search results and other affected pages to confirm
  that the tables affected take up the full width of the page.
Comment 2 Lucas Gass 2022-09-26 21:14:33 UTC
Created attachment 141011 [details] [review]
Bug 31559: Staff results page doesn't always use up full available screen width

This patch adds an explicit "width: 100%" to tables which are contained
within a #searchresults <div>. The change affects staff interface
catalog search results and these other pages with the same markup:

- Advanced MARC editor search results
- Holds to pull
- Patron search results

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client)

- Test the catalog search results and other affected pages to confirm
  that the tables affected take up the full width of the page.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Katrin Fischer 2022-10-01 19:23:25 UTC
Created attachment 141180 [details] [review]
Bug 31559: Staff results page doesn't always use up full available screen width

This patch adds an explicit "width: 100%" to tables which are contained
within a #searchresults <div>. The change affects staff interface
catalog search results and these other pages with the same markup:

- Advanced MARC editor search results
- Holds to pull
- Patron search results

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client)

- Test the catalog search results and other affected pages to confirm
  that the tables affected take up the full width of the page.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2022-10-03 15:42:19 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 5 Lucas Gass 2022-12-05 16:17:51 UTC
Backported to 22.05.x for upcoming 22.05.08 release